MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
CueParser Class Reference

`#include <CueParser.hxx>`

## Public Member Functions
void | Feed (const char *line)
| Feed a text line from the CUE file into the parser. More...
void | Finish ()
| Tell the parser that the end of the file has been reached. More...
std::unique_ptr< DetachedSong > | Get ()
| Check if a song was finished by the last Feed() or Finish() call. More...

## Detailed Description

Definition at line 31 of file CueParser.hxx.

## Member Function Documentation

void CueParser::Feed | ( | const char * | line | ) |

Feed a text line from the CUE file into the parser.

Call Get() after this to see if a song has been finished.

void CueParser::Finish | ( |  | ) |

Tell the parser that the end of the file has been reached.

Call Get() after this to see if a song has been finished. This procedure must be done twice!

std::unique_ptr<DetachedSong> CueParser::Get | ( |  | ) |

Check if a song was finished by the last Feed() or Finish() call.

Returns
  a song object that must be freed by the caller, or NULL if no song was finished at this time

The documentation for this class was generated from the following file:

- playlist/cue/CueParser.hxx